Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225889 - Merge Review: htdig
Summary: Merge Review: htdig
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:04 UTC by Nobody's working on this, feel free to take it
Modified: 2015-01-19 13:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 13:06:11 UTC
kdudka: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:04:10 UTC
Fedora Merge Review: htdig

http://cvs.fedora.redhat.com/viewcvs/devel/htdig/
Initial Owner: atkac@redhat.com

Comment 1 Adam Tkac 2009-11-30 14:38:35 UTC
Package htdig-3.2.0-0.9.b6.fc13 should be fine.

Comment 2 Kamil Dudka 2010-01-12 17:18:53 UTC
OK
==
- almost silent rpmlint (only some spelling false alarms)
- valid project URL and source URL
- upstream tarball is the same as the one from look-aside cache
- md5 hash matches the sources
- dist tag OK
- BuildRoot tag OK
- license tag OK (though valid only for the contrib directory, all other is LGPLv2+ licensed)
- all patches from CVS are applied
- configure options OK
- make options OK
- %clean OK
- %files OK
- %doc OK


may be better
=============
- 9 lines of the description are the same for htdig and htdig-web subpackage; it would be good to define it as a macro, so that it can be maintained at one place.
- explicit BuildRequires for flex should be either commented, or better made non-explicit
- redundant BuildRequires for autoconf and automake (already required by libtool)
- some patches lack link to upstream thread
- hard-link creation deserves a comment (perhaps should be a symlink instead?)
- %defattr(-,root,root) should be %defattr(-,root,root,-)
- ldconfig is not called at all - I suggest to add following:
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

- the option -r of rm may be omitted in the following commands
rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig_db/*.a
rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig_db/*.la

Comment 3 Kamil Dudka 2014-04-04 13:06:34 UTC
Tomas, could you please have a look at the above minor packaging issues?

They still seem to be valid in Fedora Rawhide...

Comment 4 Tomáš Hozza 🤓 2015-01-19 13:06:11 UTC
(In reply to Kamil Dudka from comment #2)
> may be better
> =============
> - 9 lines of the description are the same for htdig and htdig-web
> subpackage; it would be good to define it as a macro, so that it can be
> maintained at one place.

macro added

> - explicit BuildRequires for flex should be either commented, or better made
> non-explicit

I removed the explicit version. I don't know about the reasons for the version, however the version in Fedora is newer so it should not be needed.

> - redundant BuildRequires for autoconf and automake (already required by
> libtool)

removed

> - some patches lack link to upstream thread

Upstream is dead for 8 years. Nothing will happen and most probably this is the last time someone is touching this package before it will be dropped from the distro in the future.

Honestly I don't know the reasons behind those patches and it seems like a waste of time to try to investigate it. The last post on upstream devel list is from March 2005.

> - hard-link creation deserves a comment (perhaps should be a symlink
> instead?)

I changed it to symbolic.

> - %defattr(-,root,root) should be %defattr(-,root,root,-)

fixed

> - ldconfig is not called at all - I suggest to add following:
> %post -p /sbin/ldconfig
> %postun -p /sbin/ldconfig

Added

> - the option -r of rm may be omitted in the following commands
> rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig/*.a
> rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig/*.la
> rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig_db/*.a
> rm -rf $RPM_BUILD_ROOT%{_libdir}/htdig_db/*.la

modified


Fixed in htdig-3.2.0-0.20.b6.fc22

Comment 5 Kamil Dudka 2015-01-19 13:24:50 UTC
Looks good!


Note You need to log in before you can comment on or make changes to this bug.